Subject: Re: [Ldap-dir] Review for draft-bergeson-uddi-ldap-schema-03.txt

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 05 Apr 2004 10:59:26 -0700

Ted,

General comment: I would like to see this document include more
examples.  I find it very hard to review particular uses of LDAP
syntax, matching rules, and other elements as currently written.  I
suspect I've only touched on problems here.  Hopefully my comments
offer enough food for thought for the Authors to not only address
specific issues I've raised, but address issues which are likely
lurking.

Note: my review was not in-depth.  I've been quite short of
review cycles (especially for informational stuff) lately.

Kurt

>Individual Submission                                       B. Bergeson 
>                                                             K. Boogert 
>                                                   Vijay K.Nanjundaswamy 
>Internet Draft                                             Novell, Inc. 
>Document: draft-bergeson-uddi-ldap-schema-03.txt            March, 2004 
>Intended Category: Informational                  Expires September, 2004
> 
> 
>                                     
>                          LDAP Schema for UDDIv3 

These (and other) acronyms likely should be spelled out upon
first use in title, first use in abstract, and first use in body.

> 
> 
>Status of this Memo 
>    
>   This document is an Internet-Draft and is in full conformance with 
>   all provisions of Section 10 of RFC2026. 
>    
>   Internet-Drafts are working documents of the Internet Engineering 
>   Task Force (IETF), its areas, and its working groups. Note that 
>   other groups may also distribute working documents as Internet-
>   Drafts. Internet-Drafts are draft documents valid for a maximum of 
>   six months and may be updated, replaced, or obsoleted by other 
>   documents at any time. It is inappropriate to use Internet-Drafts as 
>   reference material or to cite them other than as "work in progress."  
>   The list of current Internet-Drafts can be accessed at 
>   http://www.ietf.org/ietf/1id-abstracts.txt  
>   The list of Internet-Draft Shadow Directories can be accessed at 
>   http://www.ietf.org/shadow.html. 
>    
>   Editorial comments may be sent to [email-masked]. General 
>   discussion may be directed to the LDAPEXT WG List. 

Note that the LDAP WG is concluded.  You might also want to
include the list address <[email-masked]> here.

>1. Abstract 
    
Abstract section should not be numbered.

>   This document defines the Lightweight Directory Access Protocol 
>   [(LDAPv3)] Schema for representing Universal Description, Discovery 
>   & Integration (UDDI) data types in an LDAP directory. It defines the 
>   LDAP object class & attribute definitions and containment rules to 
>   model UDDI entities, defined in the UDDI version 3 information 
>   model, in an LDAPv3 compliant directory.  

Don't cite references in Abstract.
Don't use '&' for 'and'.

s/attribute/attribute type/
"It defines ... definitions" is odd wording.  I suggest
"This document provides ... definitions"
suggest s/containment rules/naming and structure rules/
suggest s/LDAPv3 compliant/LDAP/

>Table of Contents 
>   1. Abstract.......................................................1 
>   2. Conventions used in this document..............................2 
>   3. Introduction...................................................2 
>   4. Representation of UDDI Data Structures.........................2 
>   5. Attribute Type Definitions.....................................5 
>   6. Object Class Definitions......................................24 
>   7. Name Forms....................................................28 
>   8. DIT Structure Rules...........................................30 
>   9. Security Considerations.......................................31 
>  
>Bergeson, Boogert & Nanjundaswamy     Internet-Draft                 1 
>
>
>
>
>
>
>
>
>                         LDAP Schema for UDDI            November 2003 
> 
> 
>   10. IANA Considerations..........................................32 
>   11. Normative References.........................................50 
>   12. Author's Addresses...........................................51 
> 
>    
>2. Conventions used in this document 
>   The keywords "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", 
>   "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this 
>   document are to be interpreted as described in RFC 2119.. 
>    
>   All schema definitions are provided using [RFC2252] descriptions, 
>   line-wrapped for readability only. 

I suggest this section be made a subsection of your Introduction.

>3. Introduction 
>    
>   This document defines "Lightweight Directory Access Protocol" 
>   [LDAPv3] schema elements to represent the core data structures 

Edit: don't quote "Lightweight Directory Access Protocol"

Since you use LDAP below to mean Lightweight Directory Access Protocol,
you should LDAP as acronym for this.  And since you want to use it
as tag, then:
	Lightweight Directory Access Protocol (LDAP) [LDAPv3]
or
	Lightweight Directory Access Protocol ([LDAP])

>   identified in "Universal Description Discovery and Integration" 
>   version 3 [UDDIv3] information model.

Likewise.

>                                            This includes: a 
>   businessEntity, a businessService, a bindingTemplate, a tModel, a 
>   publisherAssertion and a Subscription.

Edit: Suggest this be reworded:
	This includes schema elements representing the businessEntity,
	..., and Subscription UDDI data structures.

There likely should be a paragraph break here.

                                            Portions of [UDDIv3] are 
>   repeated here for clarity. 

You should note: "Where this document differs from [UDDIv3],
  [UDDIv3] takes precedence."

>4. Representation of UDDI Data Structures 
>    
>   The information that makes up a registration in a UDDI registry 
>   consists of these data structure types.  This division by 
>   information type provides simple partitions to assist in the rapid 
>   location and understanding of the different information that makes 
>   up a registration. 
>    
>   The individual instance data managed by a UDDI registry are 
>   sensitive to the parent/child relationships found in the schema.  A 
>   businessEntity object contains one or more unique businessService 
>   objects.  Similarly, individual businessService objects contain 
>   specific instances of bindingTemplate, which in turn contains 
>   information that includes pointers to specific instances of tModel 
>   objects. 
>    
>   It is important to note that no single instance of a core schema 
>   type is ever "contained" by more than one parent instance.  This 
>   means that only one specific businessEntity object (identified by 
>   its unique key value) will ever contain or be used to express 
>   information about a specific instance of a businessService object 
>   (also identified by its own unique key value). 
>    
>4.1 businessEntity 
>    
>   The businessEntity object represents all known information about a 
>   business or entity that publishes descriptive information about the 
>   entity as well as the services that it offers.  The businessEntity 
>   is the top-level container that accommodates holding descriptive 
>   information about a business or entity.  Service descriptions and 
>   technical information are expressed within a businessEntity by a 
>   containment relationship. 
>    
>4.1.1 Representation in the Directory 
>    
>   A businessEntity is represented in the directory by the attributes 

Is it not represented by an instance of the uddiBusinessEntity object
(which has these attributes)?

>   uddiBusinessKey, uddiAuthorizedName, uddiOperator, 
>   uddiDiscoveryURLs, uddiName, uddiDescription, uddiIdentifierBag, 
>   uddiCategoryBag, and uddiv3DigitalSignature, along with 
>   corresponding v3 keys viz. uddiv3BusinessKey, as defined in section 
>   5.  A businessEntity may contain zero or more instances of 
>   uddiContact and uddiBusinessService.   
>    
>   The mandatory attribute, uddiBusinessKey, contains the unique 
>   identifier for a given instance of a businessEntity. 
>    
>   businessEntity's definition is given in Section 6.  

The spec would be far easier to review (and understand) if the
definition was directly incorporated here.

Likewise for other objects.
    
>4.2 businessService 
>    
>   The businessService instances represent a logical business service.  
>   Each businessService object is the logical child of a single 
>   businessEntity object.  Each businessService element contains 
>   descriptive information in business terms outlining the type of 
>   technical services found within each businessService instance. 
>    
>   In some cases, businesses would like to share or reuse services, 
>   e.g. when a large enterprise publishes separate businessEntity 
>   structures.  This can be established by using the businessService 
>   instance as a projection to an already published businessService. 
>    
>4.2.1 Representation in the Directory 
>    
>   A businessService is represented in the directory by the attributes 
>   uddiBusinessKey, uddiServiceKey, uddiName, uddiDescription, 
>   uddiCategoryBag, uddiIsProjection, and uddiv3DigitalSignature, along 
>   with corresponding v3 keys viz. uddiv3BusinessKey & 
>   uddiv3ServiceKey, as defined in section 5. A businessService may 
>   contain zero or more instances of uddiBindingTemplate.  The 
>   mandatory attribute, uddiServiceKey, contains the unique identifier 
>   for a given instance of a businessService. 
>    
>   businessService's definition is given in Section 6. 
>    
>4.3 bindingTemplate 
>    
>   Technical descriptions of Web services are accommodated via 
>   individual contained instances of bindingTemplate objects.  These 
>   instances provide support for determining a technical entry point or 
>   optionally support remotely hosted services, as well as a 
>   lightweight facility for describing unique technical characteristics 
>   of a given implementation.  Support for technology and application 
>   specific parameters and settings files are also supported. 
>    
>   Since UDDI's main purpose is to enable description and discovery of 
>   Web Service information, it is the bindingTemplate that provides the 
>   most interesting technical data. With UDDIv3, bindingTemplates also 
>   can have categorization information. 
>    
>   Each bindingTemplate instance has a single logical businessService 
>   parent, which in turn has a single logical businessEntity parent. 
>    
>4.3.1 Representation in the Directory 
>    
>   A bindingTemplate is represented in the directory by the attributes 
>   uddiBindingKey, uddiServiceKey, uddiDescription, uddiAccessPoint, 
>   uddiHostingRedirector, uddiCategoryBag and uddiv3DigitalSignature, 
>   along with corresponding v3 keys viz. uddiv3ServiceKey and 
>   uddiv3BindingKey, as defined in section 5.  A bindingTemplate may 
>   contain zero or more instances of uddiTModelInstanceDetails.  The 
>   mandatory attribute, uddiBindingKey, contains the unique identifier 
>   for a given instance of a bindingTemplate. 
>    
>   BindingTemplate's definition is given in Section 6. 
>    
>4.4 tModel 
>    
>   The tModel object takes the form of keyed metadata (data about 
>   data).  In a general sense, the purpose of a tModel within the UDDI 
>   registry is to provide a reference system based on abstraction.  
>   Thus, the kind of data that a tModel represents is pretty nebulous.  
>   In other words, a tModel registration can define just about 
>   anything, but in the current revision, two conventions have been 
>   applied for using tModels: as sources for determining compatibility 
>   and as keyed namespace references. 
>    
>   The information that makes up a tModel is quite simple.  There's a 
>   key, a name, an optional description, and a Uniform Resource Locator 
>   [URL] that points somewhere--presumably somewhere where the curious 

s/Uniform Resource Locator [URL]/Uniform Resource Identifier ([URI])/

In the reference, it might be appropriate to say: RFC 2396 as updated by
RFC 2732.

>   can go to find out more about the actual concept represented by the 
>   metadata in the tModel itself. 
>    
>4.4.1 Representation in the Directory 
>    
>   A tModel is represented in the directory by the attributes 
>   uddiTModelKey, uddiAuthorizedName, uddiOperator, uddiName, 
>   uddiDescription, uddiOverviewDescription, uddiOverviewURL, 
>   uddiIdentifierBag, uddiCategoryBag, uddiIsHidden, and 
>   uddiv3DigitalSignature, along with corresponding v3 key viz. 
>   uddiv3tModelKey, as defined in section 5. A tModel may also contain 
>   a uddiHidden to logically delete a tModel.  The mandatory attribute, 
>   uddiTModelKey, contains the unique identifier for a given instance 
>   of a tModel. 
>    
>   tModel's definition is given in Section 6. 
>    
>4.5 publisherAssertion 
>    
>   Many businesses, like large enterprises or marketplaces, are not 
>   effectively represented by a single businessEntity, since their 
>   description and discovery are likely to be diverse.  As a 
>   consequence, several businessEntity instances can be published, 
>   representing individual subsidiaries of a large enterprise or 
>   individual participants of a marketplace.  Nevertheless, they still 
>   represent a more or less coupled community and would like to make 
>   some of their relationships visible in their UDDI registrations.  
>    
>4.5.1 Representation in the Directory 
>    
>   A publisherAssertion is represented in the directory by the 
>   attributes uddiFromKey, uddiToKey, uddiKeyedReference, and uddiUUID, 
>   and uddiv3DigitalSignature, as defined in section 5.  The mandatory 
>   attribute, uddiUUID, contains the unique identifier for a given 
>   instance of a publisherAssertion. 
>    
>   publisherAssertion's definition is given in Section 6. 
>    
>4.6 Operational Information: 
> 
>   With UDDIv3, the operational information associated with the core 
>   UDDI data structures is maintained in a separate OperationalInfo 
>   structure, so that the digital signature specified by the publisher 
>   remains valid.  
>    
>   The operationalInfo structure is used to convey the operational 
>   information for the UDDIv3 core data structures, that is, the 
>   businessEntity, businessService, bindingTemplate and tModel 
>   structures. UDDIv3 OperationalInfo consists of 5 elements: created. 
>   Modified, modifiedIncludingChildren, nodeId and authorizedName. 
>    
>   Depending on the specific UDDIv3 core data structure, the 
>   operationalInformation is represented in the directory as a 
>   combination of  implicit LDAP Standard Operational attributes: 
>   createTimestamp and modifyTimestamp, and the following explicit 
>   attributes: uddiAuthorizedName, uddiv3EntityCreationTime, 
>   uddiv3EntityModificationTime and uddiv3NodeId. 

I'm not sure what you mean by 'implicit' and 'explicit' here.
Suggest:
	s/implicit LDAP Standard Operational attribute/LDAP operational attributes/
	s/explicit/new/

You need to include a reference to the document defining these
LDAP operational attributes.

>    
>5. Attribute Type Definitions 
>    
>   Note that OIDs for the attribute types in this document have not 
>   been assigned.  All OIDs are in brackets, <OID-TBD>, as a 
>   placeholder until real OIDs are assigned. 

This should be worded more clearly as a note to the RFC Editor.  E.g.,
	[[Note to the RFC Editor: ...]]

so that it is obvious that the RFC Editor should remove the note
after replacing OID-TBD with the IANA assigned OID.

s/OID-TBD/IANA-ASSSIGNED-OID/ 
    
>5.1 uddiBusinessKey 
>    
>   Used in uddiBusinessEntity and uddiBusinessService.   
>    
>   The uddiBusinessKey is the unique identifier for a given instance of 
>   an uddiBusinessEntity. The attribute is optional for businessService 
>   instances contained within a fully expressed parent that already 
>   contains a businessKey value. 
>    
>   If the businessService instance is rendered into Extensible Markup 
>   Language [XML] and has no containing parent that has within its data 
>   a businessKey, the value of the businessKey that is the parent of 
>   the businessService is required to be provided.  This behavior 
>   supports the ability to browse through the parent-child 
>   relationships given any of the core elements as a starting point. 
>   The businessKey may differ from the publishing businessEntity's 
>   businessKey to allow service projections. 
>    
>   ( IANA-ASSIGNED-OID.4.1 NAME 'uddiBusinessKey' 
>     DESC 'businessEntity unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 

You should say which syntax 1.3.6.1.4.1.1466.115.121.1.15 refers to
(Directory String) and where that syntax is defined (RFC 2252).
You should provide a referene for caseIgnoreMatch.

Likewise below.

(Note: as an alternatively do doing this per element, one could add
a statement above which covers all the external definitions used.)

Also, note that a number of the elements used in this document are
defined in RFC 3698 (and most of the rest in RFC 2252/2256).

>5.2 uddiAuthorizedName 
>    
>   The uddiAuthorizedName is the recorded name of the individual that 
>   published the uddiBusinessEntity or uddiTModel data.  This data is 
>   generated by the controlling operator and should not be supplied 
>   within save_business operations.  
>    
>   With UDDIv3, this attribute is part of the ‘operationalInformation’ 
>   meta-data associated with core data structures. 

operationalInformation is wrapped here by non-ASCII characters.
That happens a few other places in this document.
    
>   ( IANA-ASSIGNED-OID.4.2 NAME 'uddiAuthorizedName' 
>     DESC 'businessEntity publisher name' 
>     EQUALITY distinguishedNameMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 
>     SINGLE-VALUE 
>   ) 

why no ordering or no substrings matching rules?
    
>5.3 uddiOperator 
>    
>   The uddiOperator is the certified name of the UDDI registry site 
>   operator that manages the master copy of the uddiBusinessEntity or 
>   uddiTModel. The controlling operator records this data at the time 
>   data is saved. This data is generated and should not be supplied 
>   within save_business or save_tModel operations. 
>    
>   With UDDIv3, this field is no longer used - it is replaced by the 
>   nodeId (uddiv3NodeId) attribute that is part of the 
>   ‘operationalInformation’ meta-data. 
>    
>   ( IANA-ASSIGNED-OID.4.3 NAME 'uddiOperator' 
>     DESC 'registry site operator of businessEntitys master copy' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.4 uddiName 
>    
>   Used in uddiBusinessEntity, uddiBusinessService and uddiTModel. 
>    
>   These are the human readable names recorded for the 
>   uddiBusinessEntity, uddiBusinessService, or uddiTModel, adorned with 
>   a unique xml:lang value to signify the language that they are 
>   expressed in. Name search is provided via find_business, 
>   find_service, or find_tModel calls. 
>    
>   The publishing of several names, e.g. for romanization purposes, is 
>   supported. In order to signify the language that the names are 
>   expressed in, they carry unique xml:lang values. Not more than one 
>   name element may omit specifying its language. Names passed in this 
>   way will be assigned the default language code of the registering 
>   party. This default language code is established at the time that 
>   publishing credentials are established with an individual Operator 
>   Site. If no default language is provisioned at the time a publisher 
>   signs up, the operator can adopt an appropriate default language 
>   code. 
>    
>   With UDDIv3, multiple values with the same language code are 
>   permitted.  
>    
>   ( IANA-ASSIGNED-OID.4.4 NAME 'uddiName' 
>     DESC 'human readable name' 
>     EQUALITY caseIgnoreMatch 
>     ORDERING caseIgnoreOrderingMatch 
>     SUBSTR caseIgnoreSubstringsMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The xml:lang value precedes the name value with the "#" character 
>   used as the separator. 

I note that in LDAP, '$' is generally used as a separator.

But more importantly, I don't think it wise to push structured data
into an opaque data element.  It would be better to define a new syntax
	xmlLangTagText ::= SEQUENCE {
		language printableString,
		text	directoryString }

(with an LDAP specific string encoding, possibly using GSER) and
then define syntax-aware matching rules.

Use of LDAP Language tags is another option (if xml:lang tags map
well onto LDAP language tags).  Another option would be invent a
new form of LDAP attribute option, an xml:lang tag.

Likewise below.

>5.5 uddiDescription 
>    
>   The uddiDescription is an optional repeating element of one or more 
>   descriptions. One description is allowed per national language code 
>   supplied. With UDDIv3, there is no restriction on the number of 
>   descriptions or on what xml:lang value that they may have. 
>    
>   ( IANA-ASSIGNED-OID.4.5 NAME 'uddiDescription' 
>     DESC 'short description' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 

why no ordering or no substrings matching rules?
>    
>   The xml:lang value precedes the name value with the "#" character 
>   used as the separator. 
>    
>5.6 uddiDiscoveryURLs 
>    
>   This is a list of Uniform Resource Locators (URLs) that point to 
>   alternate, file based service discovery mechanisms. Each recorded 
>   uddiBusinessEntity structure is automatically assigned a URL that 
>   returns the individual uddiBusinessEntity structure. URL search is 
>   provided via find_business call. 
>    
>   The uddiDiscoveryURLs attribute is used to hold pointers to URL 
>   addressable discovery documents. The expected retrieval mechanism 
>   for URLs referenced in the data within this structure is via 
>   Hypertext Transfer Protocol [HTTP] HTTP-GET operation. The expected 
>   return document is not defined. Rather, a framework for establishing 
>   convention is provided, and two such conventions are defined within 
>   UDDI behaviors. It is hoped that other conventions come about and 
>   use this structure to accommodate alternate means of discovery. 
>   With UDDIv3, a new convention is defined with useType as "homepage". 
>   Further, a UDDIv3 server need not generate/add a discoveryURL 
>   itself, since this can invalidate the digital signature of signed 
>   Business Entity saved by publishers.  
>    
>   ( IANA-ASSIGNED-OID.4.6 NAME 'uddiDiscoveryURLs' 
>     DESC 'URL to retrieve a businessEntity instance' 
>     EQUALITY caseExactMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The useType value precedes the URL value with the "#" character used 
>   as the separator. 
>    
>5.7 uddiUseType 
>    
>   The uddiUseType is used to describe the type of contact or address 
>   in freeform text. Suggested examples for contact include "technical 
>   questions", "technical contact", "establish account", "sales 
>   contact", etc.  Suggested examples for address include 
>   "headquarters", "sales office", "billing department", etc. 
>    
>   ( IANA-ASSIGNED-OID.4.7 NAME 'uddiUseType' 
>     DESC 'name of convention the referenced document follows' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.8 uddiPersonName 
>    
>   The uddiPersonName should list the name of the person or name of the 
>   job role that will be available behind the contact. Examples of 
>   roles include "administrator" or "webmaster".  
>  
>   ( IANA-ASSIGNED-OID.4.8 NAME 'uddiPersonName' 
>     DESC 'name of person or job role available for contact' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>   With UDDIv3, uddiPersonName becomes multi-valued and each name can 
>   have an xml:lang attribute. The xml:lang value precedes the name 
>   value with the "#" character used as the separator. 
>    
>    
>5.9 uddiPhone 
>    
>   Used to hold telephone numbers for the contact. This element can be 
>   adorned with an optional uddiUseType attribute for descriptive 
>   purposes. If more than one phone element is saved, uddiUseType 
>   attributes are required on each.  
>    
>   ( IANA-ASSIGNED-OID.4.9 NAME 'uddiPhone' 
>     DESC 'telephone number for contact' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The useType precedes the telephone number by a separating '#' (e.g. 
>   "Work Number#123 456-7890") 

Another component syntax.  Ignoring that (here and elsewhere),
I wonder why it doesn't have a substrings matching rule.

>    
>5.10 uddiEMail 
>    
>   Used to hold email addresses for the contact. This element can be 
>   adorned with an optional uddiUseType attribute for descriptive 
>   purposes. If more than one email element is saved, uddiUseType 
>   attributes are required on each. 
>    
>   ( IANA-ASSIGNED-OID.4.10 NAME 'uddiEMail' 
>     DESC 'e-mail address for contact' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The useType precedes the email address by a separating '#' (e.g. 
>   "President of the United States [email-masked]"). 

Don't use a real domain in examples.   Use example.com instead.
    
>5.11 uddiSortCode 
>    
>   The uddiSortCode is used to drive the behavior of external display 
>   mechanisms that sort addresses. The suggested values for 
>   uddiSortCode include numeric ordering values (e.g. 1, 2, 3), 
>   alphabetic character ordering values (e.g. a, b, c) or the first n 
>   positions of relevant data within the address. 
> 
>   ( IANA-ASSIGNED-OID.4.11 NAME 'uddiSortCode' 
>     DESC 'specifies an external disply mechanism' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>   With UDDIv3, the sortCode attribute is deprecated because of the 
>   guarantee of preserving the document Order. 
> 
>5.12 uddiTModelKey 
>    
>   The uddiTModelKey is the unique identifier for a given instance of 
>   an uddiTModel. 
>    
>   It is also used in a KeyedReference and in Address structures. When 
>   used with a keyed reference, this is the unique key to identify a 
>   value-set and implies that the keyName keyValue pair in an 
>   uddiIdentifier or uddiCategory Bag,are to be interpreted by the 
>   value set referenced by the tModelKey.  
>    
>   When used with Addressline elements, implies that the keyName 
>   keyValue pair given by subsequent uddiAddressLine elements are to be 
>   interpreted by the address structure associated with the tModel that 
>   is referenced. 
>    
>   ( IANA-ASSIGNED-OID.4.12 NAME 'uddiTModelKey' 
>     DESC 'tModel unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.13 uddiAddressLine 
>    
>   The uddiAddressLine contains the actual address in freeform text. If 
>   the address element contains a uddiTModelKey, these uddiAddressLine 
>   elements are to be adorned each with an optional keyName keyValue 
>   attribute pair. Together with the uddiTModelKey, keyName and 
>   keyValue qualify the uddiAddressLine in order to describe its 
>   meaning. 
>    
>   The uddiAddressLine elements contain string data with a line length 
>   limit of 80 character positions. Each uddiAddressLine element can be 
>   adorned with two optional descriptive attributes, keyName and 
>   keyValue. Both attributes must be present in each address line if a 
>   uddiTModelKey is assigned to the address structure. By doing this, 
>   the otherwise arbitrary use of address lines becomes structured. 
>   Together with the address' uddiTModelKey, keyName and keyValue 
>   virtually build a uddiKeyedReference that represents an address line 
>   qualifier, given by the referenced uddiTModel.  
>    
>   When no uddiTModelKey is provided for the address structure, the 
>   keyName and keyValue attributes can be used without restrictions, 
>   for example, to provide descriptive information for each 
>   uddiAddressLine by using the keyName attribute. Since both the 
>   keyName and the keyValue attributes are optional, address line order 
>   is significant and will always be returned by the UDDI compliant 
>   registry in the order originally provided during a call to 
>   save_business. 
>    
>   ( IANA-ASSIGNED-OID.4.13 NAME 'uddiAddressLine' 
>     DESC 'address' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The keyName, keyValue, and addressData of this attribute are 
>   separated by "#", (e.g. "#"<keyName>"#"<keyValue>"#"<addressData>).  
>   The addressData is the only required portion of the attribute. 
>    
>5.14 uddiIdentifierBag 
>    
>   The uddiIdentifierBag element allows uddiBusinessEntity or 
>   uddiTModel structures to include information about common forms of 
>   identification such as D-U-N-S_ numbers, tax identifiers, etc. This 
>   data can be used to signify the identity of the uddiBusinessEntity, 
>   or can be used to signify the identity of the publishing party. 
>   Including data of this sort is optional, but when used greatly 
>   enhances the search behaviors exposed via the find_xx messages 
>   defined in the UDDI Version 2.0 API Specification [UDDI]. For a full 
>   description of the structures involved in establishing an identity, 
>   see UDDI Version 2.0 Data Structure Specification - Appendix A: 
>   Using Identifiers. 
>    
>   ( IANA-ASSIGNED-OID.4.14  NAME 'uddiIdentifierBag' 
>     DESC 'identification information' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The tModel, keyName, and keyValue of this attribute are separated by 
>   "#", (e.g. <tModel>"#"<keyName>"#"<keyValue>).  The keyValue is the 
>   only required portion of the attribute. 
>    
>5.15 uddiCategoryBag 
>    
>   The uddiCategoryBag element allows uddiBusinessEntity, 
>   uddiBusinessService and uddiTModel structures to be categorized 
>   according to any of several available taxonomy based classification 
>   schemes. Operator Sites automatically provide validated 
>   categorization support for three taxonomies that cover industry 
>   codes (via NAICS), product and service classifications (via UNSPC) 
>   and geography (via ISO 3166). Including data of this sort is 
>   optional, but when used greatly enhances the search behaviors 
>   exposed by the find_xx messages defined in the UDDI Version 2.0 API 
>   Specification. For a full description of structures involved in 
>   establishing categorization information, see UDDI Version 2.0 Data 
>   Structure Specification - Appendix B: Using categorization. 
>    
>   ( IANA-ASSIGNED-OID.4.15 NAME 'uddiCategoryBag' 
>     DESC 'categorization information' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The tModel, keyName, and keyValue of this attribute are separated by 
>   "#", (e.g. <tModel>"#"<keyName>"#"<keyValue>).  The keyValue is the 
>   only required portion of the attribute. 
>    
>   With UDDIv3, uddiBindingTemplates also supports the uddiCategoryBag 
>   element and they can also be categorized according to any of several 
>   available taxonomy based classification schemes. 
>    
>5.16 uddiKeyedReference 
>    
>   The uddiKeyedReference is a general-purpose attribute for a name-
>   value pair, with an additional reference to a tModel. 
>    
>   ( IANA-ASSIGNED-OID.4.16 NAME 'uddiKeyedReference' 
>     DESC 'categorization information' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The tModel, keyName, and keyValue of this attribute are separated by 
>   "#", (e.g. <tModel>"#"<keyName>"#"<keyValue>).  The keyValue is the 
>   only required portion of the attribute. With UDDIv3, the tModelKey 
>   also becomes mandatory part of the attribute.  
>    
>   Also, UDDIv3 defines KeyedReferenceGroups for CategoryBags. A 
>   keyedReferenceGroup contains a tModelKey and a simple list of 
>   KeyedReference structures. The uddiKeyedReference attribute will 
>   support KeyedReferenceGroups by suffixing the tModelKey for 
>   KEyedReferenceGroup to each of the keyedReference values associated 
>   with the group. 
>   e.g. to represent a keyedReference group containing a list of 2 
>   keyed references, the attribute will hold the following 2 strings as 
>   its values: 
>   tModelKey1#KeyName1#KeyValue1#KeyedReferenceGroup1_tModelKey 
>   tModelKey2#KeyName2#KeyValue2#KeyedReferenceGroup1_tModelKey 
>    
>    
>5.17 uddiServiceKey 
>    
>   This is the unique key for a given uddiBusinessService. When saving 
>   a new uddiBusinessService structure, pass an empty uddiServiceKey 
>   value. This signifies that a UUID value is to be generated. To 
>   update an existing uddiBusinessService structure, pass the UUID 
>   value that corresponds to the existing service. If an uddiServiceKey 
>   is received via an inquiry operation, the key values may not be 
>   blank. When saving a new or updated service projection, pass the 
>   uddiServiceKey of the referenced uddiBusinessService structure. 
>    
>   This attribute is optional when the uddiBindingTemplate data is 
>   contained within a fully expressed parent that already contains a 
>   uddiServiceKey value. If the uddiBindingTemplate data is rendered 
>   into XML and has no containing parent that has within its data a 
>   uddiServiceKey, the value of the uddiServiceKey that is the ultimate 
>   containing parent of the uddiBindingTemplate is required to be 
>   provided. This behavior supports the ability to browse through the 
>   parent-child relationships given any of the core elements as a 
>   starting point. 
>    
>   ( IANA-ASSIGNED-OID.4.17 NAME 'uddiServiceKey' 
>     DESC 'businessService unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.18 uddiBindingKey 
>    
>   This is the unique key for a given uddiBindingTemplate. When saving 
>   a new uddiBindingTemplate structure, pass an empty uddiBindingKey 
>   value. This signifies that a UUID value is to be generated. To 
>   update an existing uddiBindingTemplate, pass the UUID value that 
>   corresponds to the existing uddiBindingTemplate instance. If an 
>   uddiBindingKey is received via an inquiry operation, the key values 
>   may not be blank. 
>    
>   ( IANA-ASSIGNED-OID.4.18 NAME 'uddiBindingKey' 
>     DESC 'bindingTemplate unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.19 uddiAccessPoint 
>    
>   The uddiAccessPoint element is an attribute-qualified pointer to a 
>   service entry point. The notion of service at the metadata level 
>   seen here is fairly abstract and many types of entry points are 
>   accommodated. A single attribute is provided named URLType. 
>    
>   Required attribute qualified element8. This element is a text field 
>   that is used to convey the entry point address suitable for calling 
>   a particular Web service. This may be a URL, an electronic mail 
>   address, or even a telephone number. No assumptions about the type 
>   of data in this field can be made without first understanding the 
>   technical requirements associated with the Web service. 
>    
>   ( IANA-ASSIGNED-OID.4.19 NAME 'uddiAccessPoint' 
>     DESC 'entry point address to call a web service' 
>     EQUALITY caseExactMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>   The URLType value precedes the accessPoint value by a separating 
>   '#'. 
>    
>   With UDDIv3,the ‘URLType’ attribute is replaced by a ‘UseType’ 
>   attribute. Using this UseType attribute, the accessPoint attribute 
>   can model a hostingRedirector or support indirection to indicate the 
>   accesspoint is specified within a remotely hosted WSDL document.   
>    
>   For a UDDIv3 registry that needs support UDDIv2 clients, the 
>   attribute must allow representing the URLType and UseType values 
>   independently.  
>    
>   The UDDIv3 spec specifies the following logic for mapping values 
>   between URLType and UseType: If an entity is saved with the v3 
>   namespace and a v2 inquiry is made, the URLType will be returned as 
>   "other". In the case when a v3 inquiry is made on an entity 
>   published with the v2 namespace, the v3 useType attribute will be 
>   returned as "endPoint". 
>    
>   For implementations that need to explicitly model both forms, the 
>   recommended format is as follows: v2URLType#v3UseType#Address 
>    
>5.20 uddiHostingRedirector 
>    
>   The uddiHostingRedirector element is used to designate that a 
>   uddiBindingTemplate entry is a pointer to a different 
>   uddiBindingTemplate entry. The value in providing this facility is 
>   seen when a business or entity wants to expose a service description 
>   (e.g. advertise that they have a service available that suits a 
>   specific purpose) that is actually a service that is described in a 
>   separate uddiBindingTemplate record. This might occur when a service 
>   is remotely hosted (hence the name of this element), or when many 
>   service descriptions could benefit from a single service 
>   description. 
>    
>   The uddiHostingRedirector element has a single attribute and no 
>   element content. The attribute is a uddiBindingKey value that is 
>   suitable within the same UDDI registry instance for querying and 
>   obtaining the uddiBindingDetail data that is to be used. 
>    
>   More on the uddiHostingRedirector can be found in the appendices for 
>   the UDDI Version 2.0 API Specification. 
>    
>   Required element if uddiAccessPoint not provided. This element is 
>   adorned with a uddiBindingKey attribute, giving the redirected 
>   reference to a different uddiBindingTemplate. If you query a 
>   uddiBindingTemplate and find a uddiHostingRedirector value, you 
>   should retrieve that uddiBindingTemplate and use it in place of the 
>   one containing the uddiHostingRedirector data.  
>    
>   ( IANA-ASSIGNED-OID.4.20 NAME 'uddiHostingRedirector' 
>     DESC 'designates a pointer to another bindingTemplate' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>   With UDDIv3, the hostingRedirector is a deprecated element, since 
>   its functionality is now covered by the accessPoint. For backward-
>   compatibility, it can still be used, but it is not recommended. 
>    
>5.21 uddiInstanceDescription 
>    
>   This is an optional repeating element. This is one or more language 
>   qualified text descriptions that designate what role a uddiTModel 
>   reference plays in the overall service description. 
>    
>   ( IANA-ASSIGNED-OID.4.21 NAME 'uddiInstanceDescription' 
>     DESC 'instance details description' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The xml:lang value precedes the name value with the "#" character 
>   used as the separator. 
>    
>5.22 uddiInstanceParms 
>    
>   The uddiInstance Parms is an Optional element of the uddiInstance. 
>   Used to contain settings parameters or a URL reference to a file 
>   that contains settings or parameters required to use a specific 
>   facet of a uddiBindingTemplate description. If used to house the 
>   parameters themselves, the suggested content is a namespace 
>   qualified XML string -
>                        - using a namespace outside of the UDDI schema. 
>   If used to house a URL pointer to a file, the suggested format is 
>   URL that is suitable for retrieving the settings or parameters via 
>   HTTP-GET. 
>    
>   ( IANA-ASSIGNED-OID.4.22 NAME 'uddiInstanceParms' 
>     DESC 'URL reference to required settings' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 

If values here are URLs, then why does it equality rule differ from
other attribute types which hold URLs (or URIs).  caseExact is
more appropriate than caseIgnore for URIs.

>5.23 uddiOverviewDescription 
> 
>   This is optional repeating element. This language-qualified string 
>   is intended to hold a short descriptive overview of how a particular 
>   uddiTModel is to be used. 
>    
>   ( IANA-ASSIGNED-OID.4.23 NAME 'uddiOverviewDescription' 
>     DESC 'outlines tModel usage' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>   ) 
>    
>   The xml:lang value precedes the name value with the "#" character 
>   used as the separator. 
>    
>5.24 uddiOverviewURL 
>    
>   This is an optional element. This string data element is to be used 
>   to hold a URL reference to a long form of an overview document that 
>   covers the way a particular uddiTModel specific reference is used as 
>   a component of an overall web service description. The recommended 
>   format for the overviewURL is a URI that is suitable for retrieving 
>   the actual overview document with an HTTP GET operation, for 
>   example, via a Web browser. 
>    
>   ( IANA-ASSIGNED-OID.4.24 NAME 'uddiOverviewURL' 
>     DESC 'URL reference to overview document' 
>     EQUALITY caseExactMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>   With UDDIv3, uddiOverviewURL becomes multi-valued, to allow 
>   representing multiple OverviewDocs within a single InstanceDetail 
>   element. 
>    
>   Modeling multiple OverviewDocs within an InstanceDetail element: 
>   In UDDIv3, InstanceDetails element in TmodelInstanceInfo can have 
>   multiple OverviewDoc’s. In UDDIv2, we could have only 1 OverviewDoc. 
>   To retain the grouping between a set of overviewDescriptions and 
>   overviewURL, we can make both OverviewDoc and OverviewURL multi-
>   valued. And have a ‘group ID’ Prefix to each value (to group 
>   OverviewDescriptions and OverviewURL).  
>    
>   An example is shown below: 
>        Overview Description                            OverviewURL 
>        1#xml:lang#overviewDescription1         1#UseType#overviewURL 
>        1#xml:lang#overviewDescription2         2#UseType#overviewURL 
>        1#xml:lang#overviewDescription3         4#UseType#overviewURL 
>        3#xml:lang#overviewDescription1 
>        3#xml:lang#overviewDescription2 
>        4#xml:lang#overviewDescription1 
>    
>   This implies that OverviewDoc1 has 3 overview descriptions and an 
>   overviewURL. OverviewDoc2 has only an overviewURL. OverviewDoc3 has 
>   only 2 overviewDescriptions. OverviewDoc4 also has 1 overview 
>   description and an overviewURL. 
>     
>5.25 uddiFromKey 
>    
>   The uddiFromKey is a required element. This is the unique key 
>   reference to the first uddiBusinessEntity the assertion is made for. 
>    
>   ( IANA-ASSIGNED-OID.4.25 NAME 'uddiFromKey' 
>     DESC 'unique businessEntity key reference' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.26 uddiToKey 
>    
>   The uddiToKey is a required element. This is the unique key 
>   reference to the second uddiBusinessEntity the assertion is made 
>   for. 
>    
>   ( IANA-ASSIGNED-OID.4.26 NAME 'uddiToKey' 
>     DESC 'unique businessEntity key reference' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.27 uddiUUID 
>    
>   The uddiUUID is a required element.  This is to insure unique 
>   identification of uddiContact, uddiAddress, and 
>   uddiPublisherAssertion objects. 
>    
>   ( IANA-ASSIGNED-OID.4.27 NAME 'uddiUUID' 
>     DESC 'unique attribute' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 

Should use UUID syntaxes and matching rules from draft-zeilenga-ldap-uuid
    
>   With UDDIv3, this attribute will also be used for unique 
>   identification of Subscription feature related entities. 
>    
>5.28 uddiIsHidden 
>    
>   Used to provide functionality for the delete_tModel operation.  
>   Logical deletion hides the deleted tModels from find_tModel result 
>   sets but does not physically delete it. 
>    
>   ( IANA-ASSIGNED-OID.4.28 NAME 'uddiIsHidden' 
>     DESC 'isHidden attribute' 
>     EQUALITY booleanMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 
>     SINGLE-VALUE 
>   ) 
>    
>   In case of UDDIv3, this attribute will represent the ‘deleted’ 
>   attribute value.  
>    
>5.29 uddiIsProjection 
>    
>   Used to identify a Business Service that as a Service Projection.  
>    
>   ( IANA-ASSIGNED-OID.4.29 NAME 'uddiIsProjection' 
>     DESC 'isServiceProjection attribute' 
>     EQUALITY booleanMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 
>     SINGLE-VALUE 
>   ) 
>    
>5.30 uddiLang 
>    
>   Used to model the xml:lang value for the Address structure in 
>   UDDIv3.  
>    
>   ( IANA-ASSIGNED-OID.4.30 NAME 'uddiLang' 
>     DESC 'xml:lang value in v3 Address structure’ 
>     EQUALITY booleanMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 
>     SINGLE-VALUE 
>   ) 
>    
>   The following are attribute definitions to model new elements/fields 
>   in UDDIv3 information model. These attribute definitions have the 
>   ‘uddiv3’ prefix to indicate that these attributes represent UDDI 
>   information model elements unique to UDDIv3. 
>    
>5.31 uddiv3BusinessKey 
>    
>   This is the unique UDDIv3 identifier for a given instance of 
>   uddiBusinessEntity. Used in uddiBusinessEntity and 
>   uddiBusinessService.  
>    
>   A uddiBusinessEntity will include the uddiBusinessKey (the v2 form) 
>   for unique identification by UDDIv2 clients. The uddiBusinessKey 
>   (36-char) will also be the LDAP naming attribute for the 
>   uddiBusinessEntity. The uddiBusinessEntity entry MAY also include 
>   the uddiv3BusinessKey, the explicit v3 form key, which can be 255 
>   characters long. 
>    
>   ( IANA-ASSIGNED-OID.4.31 NAME 'uddiv3BusinessKey' 
>     DESC 'UDDIv3 businessEntity unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.32 uddiv3ServiceKey 
>    
>   This is the unique UDDIv3 identifier for a given instance of 
>   uddiBusinessService. Used in uddiBusinessService and 
>   uddiBindingTemplate.  
>    
>   A uddiBusinessService will include the uddiServiceKey (the v2 form) 
>   for unique identification by UDDIv2 clients. The uddiServiceKey (36-
>   char) will also be the LDAP naming attribute for the 
>   uddiBusinessService entry. The uddiBusinessService entry MAY also 
>   include the uddiv3ServiceKey, the explicit v3 form key, which can be 
>   255 characters long. 
>    
>   ( IANA-ASSIGNED-OID.4.32 NAME 'uddiv3ServiceKey' 
>     DESC 'UDDIv3 businessService unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.33 uddiv3BindingKey 
>    
>   This is the unique UDDIv3 identifier for a given instance of 
>   uddiBindingTemplate.  
>    
>   A uddiBindingTemplate will include the uddiBindingKey (the v2 form) 
>   for unique identification by UDDIv2 clients. The uddiBindingKey (36-
>   char) will also be the LDAP naming attribute for the 
>   uddiBindingTemplate entry. The uddiBindingTemplate entry MAY also 
>   include the uddiv3BindingKey, the explicit v3 form key, which can be 
>   255 characters long. 
>    
>   ( IANA-ASSIGNED-OID.4.33 NAME 'uddiv3BindingKey' 
>     DESC 'UDDIv3 BindingTemplate unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.34 uddiv3TModelKey 
>    
>   This is the unique UDDIv3 identifier for a given instance of an 
>   uddiTModel. 
>    
>   A uddiTModel will include the uddiTModelKey (the v2 form) for unique 
>   identification by UDDIv2 clients. The uddiTModelKey (41-char) will 
>   also be the LDAP naming attribute for the uddiTModel entry. The 
>   uddiTModel entry MAY also include the uddiv3TModelKey, the explicit 
>   v3 form key, which can be 255 characters long. 
>    
>   ( IANA-ASSIGNED-OID.4.34 NAME 'uddiv3TModelKey' 
>     DESC 'UDDIv3 TModel unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>   The tModelKey is also used in a KeyedReference and in Address 
>   structures. At all places, where a tModelKey is used as a reference 
>   to tModel, the v3 form of the tModel key (viz. uddiv3TModelKey) will 
>   be the form used, since using the v2 form key will require 
>   translating it to the v3 key by the UDDI Server and this may 
>   invalidate the digital signature of the entity.  
>    
>5.35 uddiv3DigitalSignature 
>    
>   The UDDIv3 v3 schema supports signing of the following UDDI elements 
>   using ‘XML-Signature Syntax and Processing’ (see 
>   http://www.w3.org/TR/xmldsig-core/). 
>   ..businessEntity 
>   ..businessService 
>   ..bindingTemplate 
>   ..tModel 
>   ..publisherAssertion 
>    
>   This uddiv3DigitalSignature attribute holds the digital signature 
>   for the corresponding UDDI entity. 
>    
>   ( IANA-ASSIGNED-OID.4.35 NAME 'uddiv3DigitalSignature' 
>     DESC 'UDDIv3 entity digital signature' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     ) 
>    
>   A Signature element SHOULD be generated according to the required 
>   steps of "Core Generation" in XML-Signature Syntax and Processing. 
>   The signature should be calculated on the top level element that 
>   will be stored by the registry as a result of the Publication API 
>   call. This element, referred to as the data object in the 
>   XMLSignature and Syntax specification, is the businessEntity element 
>   for save_business API calls, the businessService element for 
>   save_service API calls, the bindingTemplate for save_binding 
>   API calls, the tModel for save_tModel API calls and the 
>   publisherAssertion for set_publisherAssertions and 
>   add_publisherAssertion API calls.  
>    
>   The signature should be generated on the elements before they are 
>   added to the body of an API call. Also, according to the signature 
>   generation, all children of the element being signed are included in 
>   the generation of the signature unless first excluded by application 
>   of a transform. Due to the containment of service projections as 
>   businessService elements within a businessEntity element, this also 
>   means that changes to the projected service will render a signature 
>   of the businessEntity containing the projection invalid, unless a 
>   businessService element representing a service projection is 
>   excluded using a transform. 
>    
>   Due to the location of the sequence of Signature elements within an 
>   element that is to be signed, the signature is "enveloped". As a 
>   result of the enveloping of the signature, it is necessary to apply 
>   at least one transformation on the signed entity to exclude the 
>   signature or signature(s). The transformation selected by a 
>   publisher or the XML Signature tool is specified in a Transform 
>   element inside the Signature element.  
>    
>5.36 uddiv3NodeId 
>    
>   This attribute contains the Node Identity for a UDDIv3 node.  
>    
>   ( IANA-ASSIGNED-OID.4.36 NAME 'uddiv3NodeId' 
>     DESC 'UDDIv3 Node Identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.37 uddiv3EntityModificationTime 
>    
>   This attribute is used to maintain the last modification time for a 
>   UDDI entity. It is needed in context of maintaining the 
>   modifiedIncludingChildren element. When a child entity (e.g. 
>   uddiBindingTemplate) is updated, the parent entity (e.g. 
>   uddiBusinessService) LDAP timestamp also gets updated. The 
>   uddiv3EntityModificationTime attribute saves the last modification 
>   time of the parent entity (uddiBusinessService in this case).  
>    
>   ( IANA-ASSIGNED-OID.4.37 NAME 'uddiv3EntityModificationTime' 
>     DESC 'UDDIv3 Last Modified Time for Entity' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>    
>   The following attribute definitions define attributes related to 
>   modeling of UDDIv3 subscription related entities in LDAP directory. 
>    
>   Subscription provides clients, known as subscribers, with the 
>   ability to register their interest in receiving information 
>   concerning changes made in a UDDI registry. These changes can be 
>   scoped based on preferences provided with the request. The 
>   uddiv3Subscription object class is used to model registered UDDIv3 
>   Subscriptions.  
>    
>5.38 uddiv3SubscriptionKey 
>    
>   This is the unique UDDIv3 identifier for a given instance of a 
>   uddiv3Subscription entity.  
>    
>   ( IANA-ASSIGNED-OID.4.38 NAME 'uddiv3SubscriptionKey' 
>     DESC 'UDDIv3 Subscription unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.39 uddiv3SubscriptionFilter 
>    
>   This attribute contains the UDDIv3 Subscription Filter, specified as 
>   part of the save_subscription API i.e. the Inquiry API specified as 
>   filtering criteria with a registered subscription. The filtering 
>   criteria limits the scope of a subscription to a subset of registry 
>   records. The get_xx and find_xx APIs are all valid choices for use 
>   as a subscriptionFilter. Only one of these can be chosen for each 
>   subscription. 
>    
>   ( IANA-ASSIGNED-OID.4.39 NAME 'uddiv3SubscriptionFilter' 
>     DESC 'UDDIv3 Subscription Filter’ 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.40 uddiv3NotificationInterval 
>    
>   This attribute contains the Notification Interval string. It is of 
>   type xsd:duration and specifies how often Asynchronous change 
>   notifications are to be provided to a subscriber. 
>    
>   ( IANA-ASSIGNED-OID.4.40 NAME 'uddiv3NotificationInterval' 
>     DESC 'UDDIv3 Notification Interval’ 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.41 uddiv3MaxEntities 
>    
>   This attribute contains the maximum number of entities to be 
>   returned as part of a subscription notification. It is an integer 
>   and specifies the maximum number of entities in a notification 
>   returned to a subscription listener. 
>    
>   ( IANA-ASSIGNED-OID.4.41 NAME 'uddiv3MaxEntities' 
>     DESC 'UDDIv3 Subscription maxEntities field’ 
>     EQUALITY integerMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 
>     SINGLE-VALUE 
>   ) 
>  
>    
>5.42 uddiv3ExpiresAfter 
>    
>   This attribute specifies the Expiry Time associated with a 
>   Subscription. It is of the XML Schema type xsd:dateTime.  
>    
>   ( IANA-ASSIGNED-OID.4.42 NAME 'uddiv3ExpiresAfter' 
>     DESC 'UDDIv3 Subscription ExpiresAfter field’ 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>    
>5.43 uddiv3BriefResponse 
>    
>   This attribute is a Boolean flag for Brief Response associated with 
>   a Subscription entity. It controls the level of detail returned to a 
>   subscription listener. The default is "false" when omitted. When set 
>   to "true," it indicates that the subscription results are to be 
>   returned to the subscriber in the form of a keyBag, listing all of 
>   the entities that matched the subscriptionFilter. 
>    
>   ( IANA-ASSIGNED-OID.4.43 NAME 'uddiv3BriefResponse' 
>     DESC 'UDDIv3 Subscription ExpiresAfter field’ 
>     EQUALITY booleanMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 
>     SINGLE-VALUE 
>   ) 
>    
>5.44 uddiv3EntityKey 
>    
>   This is the unique UDDIv3 identifier for a given instance of a core 
>   UDDI data structure that is to be logged as an Obituary Entry 
>   uddiv3EntityObituary. When a core UDDIv3 entity is deleted and there 
>   is an active subscription registered against this UDDI entity, an 
>   Obituary entry is created, in which the v3 key of the deleted entry 
>   is logged as part of the uddiv3EntityKey attribute.  
>    
>   ( IANA-ASSIGNED-OID.4.44 NAME 'uddiv3EntityKey' 
>     DESC 'UDDIv3 Entity unique identifier' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.45 uddiv3EntityCreationTime 
>    
>   This attribute is used to log the original Creation Time for a UDDI 
>   Entity that is deleted, in the uddiv3EntityObituary entry.  
>    
>   It is also used in uddiBusinessService and uddiBindingTemplate. A 
>   Move BS operation needs to delete and recreate BT sub-tree due to 
>   lack of support for moving a sub-tree in many LDAPv3 servers. This 
>   attribute is used to save the original creation time of the BT 
>   during a Move BS. 
>    
>   ( IANA-ASSIGNED-OID.4.45 NAME 'uddiv3EntityCreationTime' 
>     DESC 'UDDIv3 Entity Creation Time' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>5.46 uddiv3EntityDeletionTime 
>    
>   This attribute is used to log the entity deletion time for a UDDI 
>   Entity that is deleted, in the uddiv3EntityObituary entry.  
>    
>   ( IANA-ASSIGNED-OID.4.46 NAME 'uddiv3EntityDeletionTime' 
>     DESC 'UDDIv3 Entity Deletion Time' 
>     EQUALITY caseIgnoreMatch 
>     SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 
>     SINGLE-VALUE 
>   ) 
>    
>6. Object Class Definitions 
>    
>   Note that OIDs for the object classes in this document have not been 
>   assigned.  All OIDs are in brackets, <OID-TBD>, as a placeholder 
>   until real OIDs are assigned. 
>    
>6.1 uddiBusinessEntity 
>    
>   This structural object class represents a businessEntity. 
>    
>   ( IANA-ASSIGNED-OID.6.1 NAME 'uddiBusinessEntity' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiBusinessKey $  
>            uddiName) 
>     MAY ( uddiAuthorizedName $  
>           uddiOperator $  
>           uddiDiscoveryURLs $  
>           uddiDescription $  
>           uddiIdentifierBag $  
>           uddiCategoryBag $ 
>           uddiv3BusinessKey $ 
>           uddiv3DigitalSignature $ 
>           uddiv3EntityModificationTime $ 
>           uddiv3NodeId) 
>   ) 
>    
>6.2 uddiContact 
>    
>   This structural object class represents a contact.  It is contained 
>   by an uddiBusinessEntity. 
>    
>   ( IANA-ASSIGNED-OID.6.2 NAME 'uddiContact' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiPersonName $  
>            uddiUUID ) 
>     MAY ( uddiUseType $  
>           uddiDescription $  
>           uddiPhone $  
>           uddiEMail ) 
>   ) 
>    
>6.3 uddiAddress 
>    
>   This structural object class represents an address.  It is contained 
>   by an uddiContact. 
>    
>   ( IANA-ASSIGNED-OID.6.3 NAME 'uddiAddress' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiUUID ) 
>     MAY ( uddiUseType $  
>           uddiSortCode $  
>           uddiTModelKey $ 
>           uddiv3TmodelKey $   
>           uddiAddressLine $ 
>           uddiLang) 
>   ) 
>    
>6.4 uddiBusinessService 
>    
>   This structural object class represents a businessService. 
>    
>   ( IANA-ASSIGNED-OID.6.4 NAME 'uddiBusinessService' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiServiceKey $  
>            uddiName ) 
>     MAY ( uddiBusinessKey $  
>           uddiDescription $  
>           uddiCategoryBag $ 
>           uddiv3ServiceKey $ 
>           uddiv3BusinessKey $ 
>           uddiv3DigitalSignature $ 
>           uddiv3EntityCreationTime $ 
>           uddiv3EntityModificationTime $ 
>           uddiv3NodeId) 
>   ) 
>    
>6.5 uddiBindingTemplate 
>    
>   This structural object class represents a bindingTemplate. 
>    
>   ( IANA-ASSIGNED-OID.6.5 NAME 'uddiBindingTemplate' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiBindingKey ) 
>     MAY ( uddiServiceKey $  
>           uddiDescription $  
>           uddiAccessPoint $ 
>           uddiHostingRedirector  
>           uddiCategoryBag $ 
>           uddiv3BindingKey $ 
>           uddiv3ServiceKey $ 
>           uddiv3DigitalSignature $ 
>           uddiv3EntityCreationTime $ 
>           uddiv3NodeId) 
>   ) 
>    
> 
>6.6 uddiTModelInstanceInfo 
>    
>   This structural object class represents a tModelInstanceInfo.  It is 
>   contained by an uddiBindingTemplate. 
>    
>   ( IANA-ASSIGNED-OID.6.6 NAME 'uddiTModelInstanceInfo' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiTModelKey ) 
>     MAY ( uddiDescription $  
>           uddiInstanceDescription $  
>           uddiInstanceParms $  
>           uddiOverviewDescription $  
>           uddiOverviewURL $ 
>           uddiv3TmodelKey) 
>   ) 
>    
>6.7 uddiTModel 
>    
>   This structural object class represents a tModel. 
>    
>   ( IANA-ASSIGNED-OID.6.7 NAME 'uddiTModel' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiTModelKey $  
>            uddiName ) 
>     MAY ( uddiAuthorizedName $  
>           uddiOperator $  
>           uddiDescription $  
>           uddiOverviewDescription $  
>           uddiOverviewURL $  
>           uddiIdentifierBag $  
>           uddiCategoryBag $  
>           uddiIsHidden  
>           uddiv3TModelKey $ 
>           uddiv3DigitalSignature $ 
>           uddiv3NodeId) 
>   ) 
>    
>6.8 uddiPublisherAssertion 
>    
>   This structural object class represents a publisherAssertion. 
>    
>   ( IANA-ASSIGNED-OID.6.8 NAME 'uddiPublisherAssertion' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiFromKey $  
>            uddiToKey $  
>            uddiKeyedReference $  
>            uddiUUID ) 
>     MAY ( uddiv3DigitalSignature $ 
>           uddiv3NodeId) 
>   ) 
>    
>   The following are object class definitions to model new data 
>   structures needed to implement UDDIv3 information model. These 
>   object class definitions have the ‘uddiv3’ prefix to indicate that 
>   these attributes represent UDDI information model elements unique to 
>   UDDIv3. 
>    
>6.9 uddiv3Subscription 
>    
>   This structural object class represents a Subscription entity. 
>    
>   ( IANA-ASSIGNED-OID.6.9 NAME 'uddiv3Subscription' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiv3SubscriptionFilter $  
>            uddiUUID) 
>     MAY (  uddiAuthorizedName $  
>            uddiv3SubscriptionKey $  
>            uddiv3BindingKey $  
>            uddiv3NotificationInterval $  
>            uddiv3MaxEntities $  
>            uddiv3ExpiresAfter $  
>            uddiv3BriefResponse $  
>            uddiv3NodeId) 
>   ) 
>    
>6.10 uddiv3EntityObituary 
>    
>   This structural object class represents an Obituary entry for and 
>   stores obituary information for deleted UDDIv3 entities needed for 
>   handling Subscriptions. 
>    
>   ( IANA-ASSIGNED-OID.6.10 NAME 'uddiv3EntityObituary' 
>     SUP top 
>     STRUCTURAL 
>     MUST ( uddiv3EntityKey $  
>            uddiUUID) 
>     MAY (  uddiAuthorizedName $  
>            uddiv3EntityCreationTime $ 
>            uddiv3EntityDeletionTime $ 
>            uddiv3NodeId) 
>   ) 
>    
>7. Name Forms 
>    
>   This section defines the required hierarchical structure rules and 
>   naming attributes for the object classes defined in section 6. 
>    
>   Note that OIDs for the structure rules in this document have not 
>   been assigned.  All OIDs are in brackets, <OID-TBD>, as a 
>   placeholder until real OIDs are assigned. 

s/OID-TBD/OID-ASSIGNED-OID/
    
>7.1 uddiBusinessEntityNameForm 
>    
>   This name form defines the naming attribute for a businessEntity. 
>    
>   ( IANA-ASSIGNED-OID.15.1 NAME 'uddiBusinessEntityNameForm' 
>     OC uddiBusinessEntity 
>     MUST ( uddiBusinessKey ) 
>   ) 
>    
>7.2 uddiContactNameForm 
>    
>   This name form defines the naming attribute for a contact. 
>    
>   ( IANA-ASSIGNED-OID.15.2 NAME 'uddiContactNameForm' 
>     OC uddiContact 
>     MUST ( uddiUUID ) 
>   ) 
>    
>7.3 uddiAddressNameForm 
>    
>   This name form defines the naming attribute for an address. 
>     
>   ( IANA-ASSIGNED-OID.15.3 NAME 'uddiAddressNameForm' 
>     OC uddiAddress 
>     MUST ( uddiUUID ) 
>   ) 
>    
>7.4 uddiBusinessServiceNameForm 
>    
>   This name form defines the naming attribute for a businessService. 
>    
>   ( IANA-ASSIGNED-OID.15.4  NAME 'uddiBusinessServiceNameForm' 
>     OC uddiBusinessService 
>     MUST ( uddiServiceKey ) 
>   ) 
>  
>Bergeson,Boogert & Nanjundaswamy      Internet-Draft                 28 
>
>
>
>
>
>
>
>
>                         LDAP Schema for UDDI            November 2003 
> 
> 
>    
>7.5 uddiBindingTemplateNameForm 
>    
>   This name form defines the naming attribute for a bindingTemplate. 
>    
>   ( IANA-ASSIGNED-OID.15.5 NAME 'uddiBindingTemplateNameForm' 
>     OC uddiBindingTemplate 
>     MUST ( uddiBindingKey ) 
>   ) 
>    
>7.6 uddiTModelInstanceInfoNameForm 
>    
>   This name form defines the naming attribute for a 
>   tModelInstanceInfo. 
>    
>   ( IANA-ASSIGNED-OID.15.6 NAME 'uddiTModelInstanceInfoNameForm' 
>     OC uddiTModelInstanceInfo 
>     MUST ( uddiTModelKey ) 
>   ) 
>    
>7.7 uddiTModelNameForm 
>    
>   This name form defines the naming attribute for a tModel. 
>    
>   ( IANA-ASSIGNED-OID.15.7 NAME 'uddiTModelNameForm' 
>     OC uddiTModel 
>     MUST ( uddiTModelKey ) 
>   ) 
>    
>7.8 uddiPublisherAssertionNameForm 
>    
>   This name form defines the naming attribute for a 
>   publisherAssertion. 
>    
>   ( IANA-ASSIGNED-OID.15.8 NAME 'uddiPublisherAssertionNameForm' 
>     OC uddiPublisherAssertion 
>     MUST ( uddiUUID ) 
>   ) 
>    
>7.9 uddiv3SubscriptionNameForm 
>    
>   This name form defines the naming attribute for a Subscription. 
>    
>   ( IANA-ASSIGNED-OID.15.9 NAME 'uddiv3SubscriptionNameForm' 
>     OC uddiv3Subscription 
>     MUST ( uddiUUID ) 
>   ) 
>    
>7.10 uddiv3EntityObituaryNameForm 
>    
>   This name form defines the naming attribute for an Entity Obituary. 
>    
>   ( IANA-ASSIGNED-OID.15.10 NAME 'uddiv3EntityObituary' 
>  
>Bergeson,Boogert & Nanjundaswamy      Internet-Draft                 29 
>
>
>
>
>
>
>
>
>                         LDAP Schema for UDDI            November 2003 
> 
> 
>     OC uddiv3EntityObituary 
>     MUST ( uddiUUID ) 
>   ) 
>    
>8. DIT Structure Rules 
>    
>   This section defines the required hierarchical structure rules for 
>   the object classes defined in section 6. 
>    
>   Note that rule identifiers defined here show the relationship 
>   between structure rules.  Implementations may use different 
>   identifiers but must follow the same hierarchical model. 

Note that DIT Structure Rules are generally under administrative,
not implementation, control.

>8.1 uddiBusinessEntityStructureRule 
>    
>   ( 1 
>     NAME 'uddiBusinessEntityStructureRule' 
>     FORM uddiBusinessEntityNameForm 
>   ) 
>    
>8.2 uddiContactStructureRule 
>    
>   This structure rule defines the object class containment for a 
>   contact. 
>    
>   ( 2 
>     NAME 'uddiContactStructureRule' 
>     FORM uddiContactNameForm 
>     SUP ( 1 ) 
>   ) 
>    
>8.3 uddiAddressStructureRule 
>    
>   This structure rule defines the object class containment for a 
>   address. 
>    
>   ( 3 
>     NAME 'uddiAddressStructureRule' 
>     FORM uddiAddressNameForm 
>     SUP ( 2 ) 
>   ) 
>    
>8.4 uddiBusinessServiceStructureRule 
>    
>   This structure rule defines the object class containment for a 
>   businessService. 
>    
>   ( 4 
>     NAME 'uddiBusinessServiceStructureRule' 
>     FORM uddiBusinessServiceNameForm 
>     SUP ( 1 ) 
>   ) 
>    
>  
>Bergeson,Boogert & Nanjundaswamy      Internet-Draft                 30 
>
>
>
>
>
>
>
>
>                         LDAP Schema for UDDI            November 2003 
> 
> 
>8.5 uddiBindingTemplateStructureRule 
>    
>   This structure rule defines the object class containment for a 
>   bindingTemplate. 
>    
>   ( 5 
>     NAME 'uddiBindingTemplateStructureRule' 
>     FORM uddiBindingTemplateNameForm 
>     SUP ( 4 ) 
>   ) 
>    
>8.6 uddiTModelInstanceInfoStructureRule 
>    
>   This structure rule defines the object class containment for a 
>   tModelInstanceInfo. 
>    
>   ( 6 
>     NAME 'uddiTModelInstanceInfoStructureRule' 
>     FORM uddiTModelInstanceInfoNameForm 
>     SUP ( 5 ) 
>   ) 
>    
>8.7 uddiTModelStructureRule 
>    
>   ( 7 
>     NAME 'uddiTModelStructureRule' 
>     FORM uddiTModelNameForm 
>   ) 
>    
>8.8 uddiPublisherAssertion 
>    
>   ( 8 
>     NAME 'uddiPublisherAssertionStructureRule' 
>     FORM uddiPublisherAssertionNameForm 
>   ) 
>    
>8.9 uddiv3SubscriptionStructureRule 
>    
>   ( 9 
>     NAME 'uddiv3SubscriptionStructureRule' 
>     FORM uddiv3SubscriptionNameForm 
>   ) 
>    
>8.10 uddiv3EntityObituaryStructureRule 
>    
>   ( 10 
>     NAME 'uddiv3EntityObituaryStructureRule' 
>     FORM uddiv3EntityObituaryNameForm 
>   ) 
>    
>9. Security Considerations 
>    
>  
>Bergeson,Boogert & Nanjundaswamy      Internet-Draft                 31 
>
>
>
>
>
>
>
>
>                         LDAP Schema for UDDI            November 2003 
> 
> 
>   Storing UDDI data into the directory enables the data to be examined 
>   and used outside the environment in which it was originally created.  
>   The directory entry containing the UDDI data could be read and 
>   modified within the constraints imposed by the access control 
>   mechanisms of the directory. With UDDIv3, publishers can digitally 
>   sign entries enabling registry clients to validate the integrity of 
>   UDDI entries read from the UDDIv3 registry by verifying the digital 
>   signature.  
>    
>   Other general LDAP [LDAPv3] security considerations apply. Some of 
>   the UDDI attributes like AccessPoints for services may contain 
>   sensitive information.  Use of strong authentication mechanisms and 
>   data integrity/confidentiality services [RFC2829][RFC2830] is 
>   advised. 

I think many more of these attributes may contain sensitive information.
 
>10. IANA Considerations 

> 
>10.1. Object Identifier Registration 
> 
>   It is requested that IANA register upon Standards Action an LDAP 
>   Object Identifier for use in this technical specification. 
>    
>        Subject: Request for LDAP OID Registration 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>        Comments: 
>                Identifies the UDDI schema elements 
>    

>    
>10.2. Registration of the uddiBusinessKey descriptor 

The following descriptor registrations should be condensed into
one subsection using a table to communicate the set of values
to be registered.  Use RFC 3703 (or other recent schema RFCs)
as an example.

>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBusinessKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBusinessKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.1 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.3. Registration of the uddiAuthorizedName descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiAuthorizedName' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiAuthorizedName 
>  
>Bergeson,Boogert & Nanjundaswamy      Internet-Draft                 32 
>
>
>
>
>
>
>
>
>                         LDAP Schema for UDDI            November 2003 
> 
> 
>        Object Identifier: IANA-ASSIGNED-OID.4.2 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.4. Registration of the uddiOperator descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiOperator' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiOperator 
>        Object Identifier: IANA-ASSIGNED-OID.4.3 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.5. Registration of the uddiName descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiName' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiName 
>        Object Identifier: IANA-ASSIGNED-OID.4.4 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.6. Registration of the uddiDescription descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiDescription' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiDescription 
>        Object Identifier: IANA-ASSIGNED-OID.4.5 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.7. Registration of the uddiDiscoveryURLs descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiDiscoveryURLs' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiDiscoveryURLs 
>        Object Identifier: IANA-ASSIGNED-OID.4.6 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.8. Registration of the uddiUseType descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiUseType' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiUseType 
>        Object Identifier: IANA-ASSIGNED-OID.4.7 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.9. Registration of the uddiPersonName descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiPersonName' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiPersonName 
>        Object Identifier: IANA-ASSIGNED-OID.4.8 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.10. Registration of the uddiPhone descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiPhone' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiPhone 
>        Object Identifier: IANA-ASSIGNED-OID.4.9 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.11. Registration of the uddiEMail descriptor 
>  
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiEMail' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiEMail 
>        Object Identifier: IANA-ASSIGNED-OID.4.10 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.12. Registration of the uddiSortCode descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiSortCode' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiSortCode 
>        Object Identifier: IANA-ASSIGNED-OID.4.11 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.13. Registration of the uddiTModelKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiTModelKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiTModelKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.12 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.14. Registration of the uddiAddressLine descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiAddressLine' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiAddressLine 
>        Object Identifier: IANA-ASSIGNED-OID.4.13 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.15. Registration of the uddiIdentifierBag descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiIdentifierBag' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiIdentifierBag 
>        Object Identifier: IANA-ASSIGNED-OID.4.14 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.16. Registration of the uddiCategoryBag descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiCategoryBag' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiCategoryBag 
>        Object Identifier: IANA-ASSIGNED-OID.4.15 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.17. Registration of the uddiKeyedReference descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiKeyedReference' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiKeyedReference 
>        Object Identifier: IANA-ASSIGNED-OID.4.16 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.18. Registration of the uddiServiceKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiServiceKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiServiceKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.17 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.19. Registration of the uddiBindingKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBindingKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBindingKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.18 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.20. Registration of the uddiAccessPoint descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiAccessPoint' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiAccessPoint 
>        Object Identifier: IANA-ASSIGNED-OID.4.19 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.21. Registration of the uddiHostingRedirector descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiHostingRedirector' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiHostingRedirector 
>        Object Identifier: IANA-ASSIGNED-OID.4.20 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.22. Registration of the uddiInstanceDescription descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiInstanceDescription' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiInstanceDescription 
>        Object Identifier: IANA-ASSIGNED-OID.4.21 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.23. Registration of the uddiInstanceParms descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiInstanceParms' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiInstanceParms 
>        Object Identifier: IANA-ASSIGNED-OID.4.22 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.24. Registration of the uddiOverviewDescription descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiOverviewDescription' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiOverviewDescription 
>        Object Identifier: IANA-ASSIGNED-OID.4.23 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.25. Registration of the uddiOverviewURL descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiOverviewURL' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiOverviewURL 
>        Object Identifier: IANA-ASSIGNED-OID.4.24 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.26. Registration of the uddiFromKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>  
>   'uddiFromKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiFromKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.25 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.27. Registration of the uddiToKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiToKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiToKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.26 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.28. Registration of the uddiUUID descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiUUID' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiUUID 
>        Object Identifier: IANA-ASSIGNED-OID.4.27 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.29. Registration of the uddiIsHidden descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiIsHidden' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiIsHidden 
>        Object Identifier: IANA-ASSIGNED-OID.4.28 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
> 
>10.30. Registration of the uddiIsProjection descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiIsProjection' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiIsProjection 
>        Object Identifier: IANA-ASSIGNED-OID.4.29 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.31. Registration of the uddiLang descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiLang' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiLang 
>        Object Identifier: IANA-ASSIGNED-OID.4.30 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.32. Registration of the uddiv3BusinessKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3BusinessKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3BusinessKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.31 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.33. Registration of the uddiv3ServiceKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3ServiceKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3ServiceKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.32 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.34. Registration of the uddiv3BindingKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3BindingKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3BindingKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.33 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.35. Registration of the uddiv3TModelKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3TModelKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3TModelKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.34 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.36. Registration of the uddiv3DigitalSignature descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3DigitalSignature' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3DigitalSignature 
>        Object Identifier: IANA-ASSIGNED-OID.4.35 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.37. Registration of the uddiv3NodeId descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3NodeId' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3NodeId 
>        Object Identifier: IANA-ASSIGNED-OID.4.36 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.38. Registration of the uddiv3EntityModificationTime descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3EntityModificationTime' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3EntityModificationTime 
>        Object Identifier: IANA-ASSIGNED-OID.4.37 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.39. Registration of the uddiv3SubscriptionKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3SubscriptionKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3SubscriptionKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.38 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.40. Registration of the uddiv3SubscriptionFilter descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3SubscriptionFilter' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3SubscriptionFilter 
>        Object Identifier: IANA-ASSIGNED-OID.4.39 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.41. Registration of the uddiv3NotificationInterval descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3NotificationInterval' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3NotificationInterval 
>        Object Identifier: IANA-ASSIGNED-OID.4.40 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.42. Registration of the uddiv3MaxEntities descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3MaxEntities' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3MaxEntities 
>        Object Identifier: IANA-ASSIGNED-OID.4.41 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.43. Registration of the uddiv3ExpiresAfter descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3ExpiresAfter' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3ExpiresAfter 
>        Object Identifier: IANA-ASSIGNED-OID.4.42 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.44. Registration of the uddiv3BriefResponse descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3BriefResponse' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3BriefResponse 
>        Object Identifier: IANA-ASSIGNED-OID.4.43 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.45. Registration of the uddiv3EntityKey descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3EntityKey' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3EntityKey 
>        Object Identifier: IANA-ASSIGNED-OID.4.44 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.46. Registration of the uddiv3EntityCreationTime descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3EntityCreationTime' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3EntityCreationTime 
>        Object Identifier: IANA-ASSIGNED-OID.4.45 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.47. Registration of the uddiv3EntityDeletionTime descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3EntityDeletionTime' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3EntityDeletionTime 
>        Object Identifier: IANA-ASSIGNED-OID.4.46 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Attribute Type 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.48. Registration of the uddiBusinessEntity descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBusinessEntity' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBusinessEntity 
>        Object Identifier: IANA-ASSIGNED-OID.6.1 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.49. Registration of the uddiContact descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiContact' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiContact 
>        Object Identifier: IANA-ASSIGNED-OID.6.2 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.50. Registration of the uddiAddress descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiAddress' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiAddress 
>        Object Identifier: IANA-ASSIGNED-OID.6.3 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.51. Registration of the uddiBusinessService descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBusinessService' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBusinessService 
>        Object Identifier: IANA-ASSIGNED-OID.6.4 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.52. Registration of the uddiBindingTemplate descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBindingTemplate' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBindingTemplate 
>        Object Identifier: IANA-ASSIGNED-OID.6.5 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.53. Registration of the uddiTModelInstanceInfo descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiTModelInstanceInfo' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiTModelInstanceInfo 
>        Object Identifier: IANA-ASSIGNED-OID.6.6 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.54. Registration of the uddiTModel descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiTModel' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiTModel 
>        Object Identifier: IANA-ASSIGNED-OID.6.7 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.55. Registration of the uddiPublisherAssertion descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiPublisherAssertion' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiPublisherAssertion 
>        Object Identifier: IANA-ASSIGNED-OID.6.8 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.56. Registration of the uddiv3Subscription descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3Subscription' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3Subscription 
>        Object Identifier: IANA-ASSIGNED-OID.6.9 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.57. Registration of the uddiv3EntityObituary descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3EntityObituary' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3EntityObituary 
>        Object Identifier: IANA-ASSIGNED-OID.6.10 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Object Class 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.58. Registration of the uddiBusinessEntityNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBusinessEntityNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBusinessEntityNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.1 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.59. Registration of the uddiContactNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiContactNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiContactNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.2 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.60. Registration of the uddiAddressNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiAddressNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiAddressNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.3 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.61. Registration of the uddiBusinessServiceNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBusinessServiceNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBusinessServiceNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.4 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.62. Registration of the uddiBindingTemplateNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiBindingTemplateNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiBindingTemplateNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.5 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.63. Registration of the uddiTModelInstanceInfoNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiTModelInstanceInfoNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiTModelInstanceInfoNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.6 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.64. Registration of the uddiTModelNameForm descriptor 
>  
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiTModelNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiTModelNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.7 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.65. Registration of the uddiPublisherAssertionNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiPublisherAssertionNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiPublisherAssertionNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.8 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.66. Registration of the uddiv3SubscriptionNameForm descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3SubscriptionNameForm' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3SubscriptionNameForm 
>        Object Identifier: IANA-ASSIGNED-OID.15.9 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>10.67. Registration of the uddiv3EntityObituary descriptor 
>    
>   It is requested that IANA register upon Standards Action the LDAP 
>   'uddiv3EntityObituary' descriptor. 
>    
>        Subject: Request for LDAP Descriptor Registration 
>        Descriptor (short name): uddiv3EntityObituary 
>        Object Identifier: IANA-ASSIGNED-OID.15.10 
>        Person & email address to contact for further information: 
>                Bruce Bergeson <[email-masked]> 
>        Usage: Name Form 
>        Specification: RFC XXXX 
>        Author/Change Controller: IESG 
>    
>    
>11. Normative References 
>    
>   [LDAPv3]     J. Hodges, R. Morgan, "Lightweight Directory Access 
>                Protocol (v3):Technical Specification", Internet 
>                Standard, September 2002, Available as RFC 3377 
>    
>   [RFC2251]    M. Wahl, S. Kille and T. Howes, "Lightweight Directory 
>                Access Protocol (v3)", Internet Standard, December, 
>                1997.  
>    
>   [RFC2252]    M. Wahl, A. Coulbeck, S. Kille and T. Howes,  
>                "Lightweight Directory Access Protocol (v3): Attribute 
>                Syntax Definitions", Internet Standard, December, 1997.  
>    
>   [UDDI]       UDDI.ORG, "UDDI version 2.03 Data Structure Reference," 
>                http://uddi.org/pubs/DataStructure-V2.03-Published-
>                20020719.htm 
>    
>                "UDDI Version 2.04 API Specification", 
>                http://uddi.org/pubs/ProgrammersAPI-V2.04-Published-
>                20020719.htm 
>    
>   [UDDIv3]     UDDI Version 3.0, Published Specification, 19 July 2002 
>                http://uddi.org/pubs/uddi-v3.00-published-20020719.htm 
>                 
>   [RFC2119]    S. Bradner, "Key Words for use in RFCs to Indicate 
>                Requirement Levels," Internet Standard, December, 1997. 
>                Available as RFC2253 
>    
>   [RFC2829]    M. Wahl, H. Alvestrand, J. Hodges and R. Morgan, 
>                "Authentication Methods for LDAP," Internet Standard, 
>                May 2000. 
>    
>   [RFC2830]    J. Hodges, R. Morgan and M. Wahl, "Lightweight 
>                Directory Access Protocol (v3): Extension for Transport 
>                Layer Security," Internet Standard, May 2000 
>    
>   [uuid]       Paul J. Leach, Rich Salz, "UUIDs and GUIDs", Internet 
>                Draft, February 1998 
>    
>   [XML]        Extensible Markup Language (XML) 1.0 (Second Edition) 
>                W3C Recommendation 6 October 2000 
>                http://www.w3.org/TR/REC-xml 
>    
>   [URL]        Uniform Resource Locators as defined in  
>                T. Berners-Lee et al., "Uniform Resource Identifiers 
>                (URI): Generic Syntax", Internet Standard, August 1998. 
>                Available as RFC 2396.  
>                http://www.ietf.org/rfc/rfc2396.txt 
>
>   [HTTP]       R. Fielding et al.,"Hypertext Transfer Protocol -- 
>                HTTP/1.1", Internet Standard, June 1999. Available as 
>                RFC 2616. 
>                http://www.w3.org/Protocols/rfc2616/rfc2616.txt 
>                 
>    
>12. Author's Addresses 
>    
>   Bruce Bergeson 
>   Novell, Inc. 
>   Mail Stop PRV-H411 
>   1800 S Novell Place 
>   Provo, UT  84606 
>    
>   Phone: +1 801 861 3854 
>   Email: [email-masked] 
>    
>    
>   Kent Boogert 
>   Novell, Inc. 
>   1800 S Novell Place 
>   Provo, UT  84606 
>    
>   Phone: +1 801 861 3212 
>   Email: [email-masked] 
>    
>    
>   Vijay Nanjundaswamy 
>   Novell Software Development (I) Pvt Ltd. 
>   7th Mile, Hosur Road, 
>   Bangalore 560068 
>   India 
>    
>   Phone: +11 9180 573 1858  
>   Email: [email-masked] 
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>Intellectual Property Rights 
> 
>   The IETF takes no position regarding the validity or scope of any 
>   intellectual property or other rights that might be claimed to 
>   pertain to the implementation or use of the technology described in 
>   this document or the extent to which any license under such rights 
>   might or might not be available; neither does it represent that it 
>   has made any effort to identify any such rights.  Information on the 
>   IETF's procedures with respect to rights in standards-track and 
>   standards-related documentation can be found in BCP-11.  Copies of 
>   claims of rights made available for publication and any assurances 
>   of licenses to be made available, or the result of an attempt made 
>   to obtain a general license or permission for the use of such 
>   proprietary rights by implementors or users of this specification 
>   can be obtained from the IETF Secretariat. 
>    
>   The IETF invites any interested party to bring to its attention any 
>   copyrights, patents or patent applications, or other proprietary 
>   rights which may cover technology that may be required to practice 
>   this standard.  Please address the information to the IETF Executive 
>   Director. 
>    
> 
>Full Copyright Statement 
>    
>   Copyright (C) The Internet Society (2003). All Rights Reserved. 
>    
>   This document and translations of it may be copied and furnished to 
>   others, and derivative works that comment on or otherwise explain it 
>   or assist in its implementation may be prepared, copied, published 
>   and distributed, in whole or in part, without restriction of any 
>   kind, provided that the above copyright notice and this paragraph 
>   are included on all such copies and derivative works. However, this 
>   document itself may not be modified in any way, such as by removing 
>   the copyright notice or references to the Internet Society or other 
>   Internet organizations, except as needed for the purpose of 
>   developing Internet standards in which case the procedures for 
>   copyrights defined in the Internet Standards process must be 
>   followed, or as required to translate it into languages other than 
>   English. 
>    
>   The limited permissions granted above are perpetual and will not be 
>   revoked by the Internet Society or its successors or assigns. 
>    
>   This document and the information contained herein is provided on an 
>   "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING 
>   TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING 
>   BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION 
>   HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF 
>   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
>    

_______________________________________________
Ldap-dir mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldap-dir